data sasprods;
  length prodname $ 30 prodcode $ 10 prodmod $ 10 installed $ 12;
  input prodname 1-30 prodcode prodmod;
  licensed=sysprod(prodcode);
  if (prodmod eq '') then installed="<unknown>";
  else installed = tslvl(prodmod);
cards;
Base                            prodnum0    sasmeans
SAS/STAT                        stat        sasglm
SAS/GRAPH                       graph       sasgchart 
SAS/GIS                         prodnum28   sasgis
SAS/ETS                         ets         sasarima
SAS/QC                          qc          sascapab
SAS/HPF                         hpf         sashpf
SAS/AF                          af          sasbld
SAS/FSP                         fsp         sasfse
SAS/OR                          prodnum5    sasnlp
SAS/IML                         iml         sasiml
SAS/Integration Technologies    prodnum75   sasiospk
SAS/IntrNet                     prodnum54   sasapsam
SAS/SHARE                       share       sasserve
SAS/CONNECT                     prodnum15   saszrlnk
SAS/ASSIST                      assist      .
SAS/Data Quality                prodnum114  sasdqfam 
SAS/Data Quality Server         prodnum256  sasdqfam
SAS/Enterprise Miner            prodnum102  sasdmine
SAS/Text Miner                  prodnum107  sasemclu
SAS/Warehouse Administrator     prodnum41   .
SAS/ACCESS DB2                  prodnum192  sasdbu
SAS/ACCESS Informix             prodnum210  sasionfx
SAS/ACCESS Oracle               prodnum194  sasora
SAS/ACCESS Sybase               prodnum204  sassyb
SAS/ACCESS PC Files             prodnum208  sasdbf
SAS/ACCESS ODBC                 prodnum209  sasodbdb
SAS/ACCESS OLEDB                prodnum215  sasioole
SAS/ACCESS R/3                  prodnum216  sassr3
SAS/ACCESS SAP BW               prodnum221  sassr3
SAS/ACCESS Teradata             prodnum219  sastra
SAS/MDDB                        prodnum45   sasmddb
Scalable Performance Data Srvr  prodnum42   .
SAS/Toolkit                     prodnum16   sasuserp  
run;
